summaryrefslogtreecommitdiff
path: root/sh/net.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/net.sh')
-rwxr-xr-xsh/net.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/sh/net.sh b/sh/net.sh
index ab648a0..fc44095 100755
--- a/sh/net.sh
+++ b/sh/net.sh
@@ -329,9 +329,13 @@ _load_modules() {
if [ -n "$1" ]; then
x=
for x; do
- [ -x "${x}" ] && break
+ case "${x}" in
+ /*) [ -x "${x}" ] && break;;
+ *) type "${x}" >/dev/null 2>&1 && break;;
+ esac
+ unset x
done
- [ -x "${x}" ] || continue
+ [ -n "${x}" ] || continue
fi
eval provides=\$module_${i}_provide